Endpoint Examples

/timeseries

Get summary metrics just like the /totals endpoint but broken out by month or day. Use YYYY-MM date format in the time-frame filter, when, to get monthly summary, or use YYYY-MM-DD date format for daily summary data. When requesting a daily timeseries only up to 90 days may be requested at a time. Months or days with 0 postings will be included in the response.

median_posting_duration metric is not available by timeseries to avoid biased results.

POST /timeseries

Query Parameters

NameTypeDescriptions
new_taxonomy_versionsenum

Use new taxonomy versions.
This parameter is optional.

Default: False

Must be one of: false, false

lot_versionenumSpecify LOT taxonomy version to use.
This parameter is optional.
Default: 7
Must be one of: 6, 7
area_versionenum

Specify area taxonomy version to use.
This parameter is optional.
Default: lf_area_2025_1

Must be one of: lf_area_2025_1

area_laa_versionenum

Specify LAA area taxonomy version to use.
This parameter is optional.
Default: 2

Must be one of: 1, 2

datasetenum

Specify dataset to query.
This parameter is optional.

Default: global

Must be one of: global, global_plus

Request Body

{
  "filter": {
    "when": {
      "start": "2019-05",
      "end": "2019-06",
      "type": "posted"
    }
  },
  "metrics": [
    "unique_postings"
  ]
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/global-postings/timeseries \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "when": { "start": "2019-05", "end": "2019-06", "type": "posted" } }, "metrics": [ "unique_postings" ] }'

Response Examples

{
  "data": {
    "timeseries": {
      "month": [
        "2019-05",
        "2019-06"
      ],
      "unique_postings": [
        0,
        100
      ]
    },
    "totals": {
      "unique_postings": 100
    }
  }
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
// Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
// Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}